%global momorel 3
%global md5sum_src0 bb27442c062cb7e3942685f882142af0

Summary: Per Host RatE Limiter
Name: phrel
Version: 0.9.6
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
%NoSource 0 ftp://ftp.digitalgenesis.com/pub/phrel/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: http://www.digital-genesis.com/software/phrel/
BuildRequires: libpcap-devel >= 0.9.5
BuildRequires: net-snmp-devel tcp_wrappers
Requires: libpcap >= 0.9.5
Requires: net-snmp >= 5.4 tcp_wrappers iptables
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PHREL is a Per Host RatE Limiter written in C to efficiently track the rate of
incoming traffic on a per host basis and insert a chain into iptables when a
configured threshold is crossed. The inserted chain may either rate limit or
completely block the offending host for a period of time and will be
automatically removed when the offending host's traffic levels return to
normal. PHREL can be used with any type of traffic, but it is particularly
well suited to protecting name servers from random hosts that flood DNS
requests and preventing SSH brute force login attempts. 
# < http://www.digital-genesis.com/software/phrel/
#'

%prep
rm -rf %{buildroot}
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_sbindir}/*
%{_libdir}/*.a
%{_mandir}/man?/*

%changelog
* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.6-4m)
- rebuild against net-snmp

* Thu Jun 07 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.6-3m)
- rebuild against libpcap-0.9.5 (restrict by version)

* Wed Jun  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.6-2m)
- rebuild against libpcap-0.9.5

* Sat Nov 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.6-1m)
- creat
